--- a/libretro/libretro.c	2023-08-05 01:14:46.000000000 +0200
+++ b/libretro/libretro.c	2023-08-05 01:15:43.000000000 +0200
@@ -430,7 +430,7 @@
    }
 
    /* Get BIOS path */
-   fill_pathname_join(bios_path, system_dir,
+   fill_pathname_join(bios_path, strcat(system_dir, "atari5200/"),
          A5200_BIOS_FILE_NAME, sizeof(bios_path));
 
    /* Read BIOS file */
